Retrieve Binder Template Metadata
Retrieve the metadata which defines the shape of binder templates in your Vault.
GET
/api/{version}/metadata/objects/binders/templatesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.1/metadata/objects/binders/templatesResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": [
{
"name": "name__v",
"type": "String",
"requiredness": "required",
"max_length": 50,
"editable": true,
"multi_value": false
},
{
"name": "label__v",
"type": "String",
"requiredness": "required",
"max_length": 100,
"editable": true,
"multi_value": false
},
{
"name": "active__v",
"type": "Boolean",
"requiredness": "required",
"editable": true,
"multi_value": false
},
{
"name": "type__v",
"type": "Component",
"requiredness": "required",
"editable": true,
"multi_value": false,
"component": "Doctype"
},
{
"name": "subtype__v",
"type": "Component",
"requiredness": "conditional",
"editable": true,
"multi_value": false,
"component": "Doctype"
},
{
"name": "classification__v",
"type": "Component",
"requiredness": "optional",
"editable": true,
"multi_value": false,
"component": "Doctype"
},
{
"name": "filing_model__v",
"type": "Object",
"requiredness": "optional",
"editable": true,
"multi_value": false
},
{
"name": "enable_dynamic_view__v",
"type": "Boolean",
"requiredness": "optional",
"editable": true,
"multi_value": false
},
{
"name": "binder_template_parameters__v",
"type": "String",
"requiredness": "optional",
"max_length": 100,
"editable": false,
"multi_value": true,
"ordered": false
}
]
}Response Details
Section link for Response Details| Field Name | Description |
|---|---|
name__v | Binder template name, e.g., binder_template_1__c. This is used in the API when retrieving, creating, updating, or deleting binder templates. |
label__v | Binder template label, e.g., "Binder Template 1". This is the name users see in the UI when selecting a binder template. |
type__v | Vault document type to which the template is associated. |
subtype__v | Vault document subtype to which the template is associated. This field is only required if the template exists at the document subtype or classification level. |
classification__v | Vault document classification to which the template is associated. This field is only required if the template exists at the document classification level. |
filing_model__v | eTMF Vaults only. The filing model for the binder template. |
enable_dynamic_view__v | eTMF Vaults only. Indicates if the binder template is available in the Dynamic Binder Viewer. |
binder_template_parameters__v | eTMF Vaults only. Lists the available binder template parameters for the Dynamic Binder Viewer. |